namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// Ghrs_DataRoleDetail(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghrs)]
public class Ghrs_DataRoleDetailController : BaseController<IGhrs_DataRoleDetailServices, Ghrs_DataRoleDetail, Ghrs_DataRoleDetailDto, InsertGhrs_DataRoleDetailInput, EditGhrs_DataRoleDetailInput>
{
    public Ghrs_DataRoleDetailController(IGhrs_DataRoleDetailServices service) : base(service)
    {
    }
}